Overview | Package | Class | Use | Tree | Help
| HEADER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## biouml.modules.kegg.type
Class Enzyme

    java.lang.Object
      |
      +--com.beanexplorer.swing.table.Option
            |
            +--ru.biosoft.access.MutableDataElementSupport
                  |
                  +--biouml.standard.type.BaseSupport
                        |
                        +--biouml.standard.type.GenericEntity
                              |
                              +--biouml.standard.type.Referrer
                                    |
                                    +--biouml.standard.type.Molecule
                                          |
                                          +--biouml.standard.type.Biopolimer
                                                |
                                                +--biouml.standard.type.Protein
                                                      |
                                                      +--biouml.modules.kegg.type.Enzyme

public class Enzyme
extends Protein

Stub

Constructor Summary
`Enzyme(DataCollection origin, String name)`

Method Summary
`String` | `getCofactor()`
`String` | `getDbLinks()`
`String` | `getDisease()`
`String` | `getEffector()`
`String` | `getEnzymeClass()`
`String` | `getGenes()`
`String` | `getInhibitor()`
`String` | `getMotif()`
`String` | `getNames()`
`String` | `getPathway()`
`String` | `getProduct()`
`String` | `getReaction()`
`String` | `getStructures()`
`String` | `getSubstrate()`
`String` | `getSysName()`
`void` | `setCofactor(String cofactor)`
`void` | `setDbLinks(String dbLinks)`
`void` | `setDisease(String disease)`
`void` | `setEffector(String effector)`
`void` | `setEnzymeClass(String enzymeClass)`
`void` | `setGenes(String genes)`
`void` | `setInhibitor(String inhibitor)`
`void` | `setMotif(String motif)`
`void` | `setNames(String names)`
`void` | `setPathway(String pathway)`
`void` | `setProduct(String product)`
`void` | `setReaction(String reaction)`
`void` | `setStructures(String structures)`
`void` | `setSubstrate(String substrate)`
`void` | `setSysName(String sysName)`

Methods inherited from class biouml.standard.type.Protein
`getFunctionalState, getGene, getModification, getStructure, getType, setFunctionalState, setGene, setModification, setStructure`

Methods inherited from class biouml.standard.type.Biopolimer
`getRegulation, getSource, getSpecies, setRegulation, setSource, setSpecies`

Methods inherited from class biouml.standard.type.Molecule
`getCompleteName, getShortName, getSynonims, getTitle, setCompleteName, setShortName, setSynonims`

Methods inherited from class biouml.standard.type.Referrer
`getDatabaseReferences, getLiteratureReferences, setDatabaseReferences, setLiteratureReferences`

Methods inherited from class biouml.standard.type.GenericEntity
`getComment, getDate, setComment, setDate`

Methods inherited from class ru.biosoft.access.MutableDataElementSupport
`getName, getOrigin, toString`

Methods inherited from class com.beanexplorer.swing.table.Option
`setParent, getParent, addPropertyChangeListener, removePropertyChangeListener, copyListenersTo`

Methods inherited from class java.lang.Object
`getClass, hashCode, equals, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Enzyme

    public Enzyme(DataCollection origin, String name)

Method Detail

### getCofactor

    public String getCofactor()

### getDbLinks

    public String getDbLinks()

### getDisease

    public String getDisease()

### getEffector

    public String getEffector()

### getEnzymeClass

    public String getEnzymeClass()

### getGenes

    public String getGenes()

### getInhibitor

    public String getInhibitor()

### getMotif

    public String getMotif()

### getNames

    public String getNames()

### getPathway

    public String getPathway()

### getProduct

    public String getProduct()

### getReaction

    public String getReaction()

### getStructures

    public String getStructures()

### getSubstrate

    public String getSubstrate()

### getSysName

    public String getSysName()

### setCofactor

    public void setCofactor(String cofactor)

### setDbLinks

    public void setDbLinks(String dbLinks)

### setDisease

    public void setDisease(String disease)

### setEffector

    public void setEffector(String effector)

### setEnzymeClass

    public void setEnzymeClass(String enzymeClass)

### setGenes

    public void setGenes(String genes)

### setInhibitor

    public void setInhibitor(String inhibitor)

### setMotif

    public void setMotif(String motif)

### setNames

    public void setNames(String names)

### setPathway

    public void setPathway(String pathway)

### setProduct

    public void setProduct(String product)

### setReaction

    public void setReaction(String reaction)

### setStructures

    public void setStructures(String structures)

### setSubstrate

    public void setSubstrate(String substrate)

### setSysName

    public void setSysName(String sysName)

Association Links

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

to Class java.lang.String

Overview | Package | Class | Use | Tree | Help
| FOOTER
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

BOTTOM